package ink.wgink.module.attn.pojo.dtos.signin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: SignInDTO
 * @Description: 考勤签到
 * @Author: CodeFactory
 * @Date: 2022-07-11 15:08:18
 * @Version: 3.0
 **/
@ApiModel
public class SignInDTO {

    @ApiModelProperty(name = "signInId", value = "主键")
    private String signInId;
    @ApiModelProperty(name = "gmtStandard", value = "标准时间")
    private String gmtStandard;
    @ApiModelProperty(name = "gmtSign", value = "打卡时间")
    private String gmtSign;
    @ApiModelProperty(name = "signLng", value = "打卡经度")
    private String signLng;
    @ApiModelProperty(name = "signLat", value = "打卡维度")
    private String signLat;
    @ApiModelProperty(name = "signAddress", value = "打卡位置")
    private String signAddress;
    @ApiModelProperty(name = "isLate", value = "是否迟到")
    private Integer isLate;
    @ApiModelProperty(name = "lateMillisecond", value = "迟到毫秒")
    private String lateMillisecond;
    @ApiModelProperty(name = "amPm", value = "上下午")
    private String amPm;
    @ApiModelProperty(name = "signCenterLng", value = "打卡中心点经度")
    private String signCenterLng;
    @ApiModelProperty(name = "signCenterLat", value = "打卡中心点维度")
    private String signCenterLat;
    @ApiModelProperty(name = "isOutside", value = "是否界外")
    private Integer isOutside;
    @ApiModelProperty(name = "creator", value = "创建人")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;

    public String getSignInId() {
        return signInId == null ? "" : signInId.trim();
    }

    public void setSignInId(String signInId) {
        this.signInId = signInId;
    }

    public String getGmtStandard() {
        return gmtStandard == null ? "" : gmtStandard.trim();
    }

    public void setGmtStandard(String gmtStandard) {
        this.gmtStandard = gmtStandard;
    }

    public String getGmtSign() {
        return gmtSign == null ? "" : gmtSign.trim();
    }

    public void setGmtSign(String gmtSign) {
        this.gmtSign = gmtSign;
    }

    public String getSignLng() {
        return signLng == null ? "" : signLng.trim();
    }

    public void setSignLng(String signLng) {
        this.signLng = signLng;
    }

    public String getSignLat() {
        return signLat == null ? "" : signLat.trim();
    }

    public void setSignLat(String signLat) {
        this.signLat = signLat;
    }

    public String getSignAddress() {
        return signAddress == null ? "" : signAddress.trim();
    }

    public void setSignAddress(String signAddress) {
        this.signAddress = signAddress;
    }

    public Integer getIsLate() {
        return isLate == null ? 0 : isLate;
    }

    public void setIsLate(Integer isLate) {
        this.isLate = isLate;
    }

    public String getLateMillisecond() {
        return lateMillisecond == null ? "" : lateMillisecond.trim();
    }

    public void setLateMillisecond(String lateMillisecond) {
        this.lateMillisecond = lateMillisecond;
    }

    public String getAmPm() {
        return amPm == null ? "" : amPm.trim();
    }

    public void setAmPm(String amPm) {
        this.amPm = amPm;
    }

    public String getSignCenterLng() {
        return signCenterLng == null ? "" : signCenterLng.trim();
    }

    public void setSignCenterLng(String signCenterLng) {
        this.signCenterLng = signCenterLng;
    }

    public String getSignCenterLat() {
        return signCenterLat == null ? "" : signCenterLat.trim();
    }

    public void setSignCenterLat(String signCenterLat) {
        this.signCenterLat = signCenterLat;
    }

    public Integer getIsOutside() {
        return isOutside == null ? 0 : isOutside;
    }

    public void setIsOutside(Integer isOutside) {
        this.isOutside = isOutside;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }


}
