package ink.wgink.module.attn.pojo.dtos.signout;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: SignOutDTO
 * @Description: 考勤签退
 * @Author: CodeFactory
 * @Date: 2022-07-11 15:09:12
 * @Version: 3.0
 **/
@ApiModel
public class SignOutDTO {

    @ApiModelProperty(name = "signOutId", value = "主键")
    private String signOutId;
    @ApiModelProperty(name = "gmtStandard", value = "标准时间")
    private String gmtStandard;
    @ApiModelProperty(name = "gmtSign", value = "打卡时间")
    private String gmtSign;
    @ApiModelProperty(name = "signLng", value = "打卡经度")
    private String signLng;
    @ApiModelProperty(name = "signLat", value = "打卡维度")
    private String signLat;
    @ApiModelProperty(name = "signAddress", value = "打卡位置")
    private String signAddress;
    @ApiModelProperty(name = "isEarly", value = "是否早退")
    private Integer isEarly;
    @ApiModelProperty(name = "earlyMillisecond", value = "早退毫秒")
    private String earlyMillisecond;
    @ApiModelProperty(name = "amPm", value = "上下午")
    private String amPm;
    @ApiModelProperty(name = "signCenterLng", value = "打卡中心点经度")
    private String signCenterLng;
    @ApiModelProperty(name = "signCenterLat", value = "打卡中心点维度")
    private String signCenterLat;
    @ApiModelProperty(name = "isOutside", value = "是否界外")
    private Integer isOutside;
    @ApiModelProperty(name = "creator", value = "创建人")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;

    public String getSignOutId() {
        return signOutId == null ? "" : signOutId.trim();
    }

    public void setSignOutId(String signOutId) {
        this.signOutId = signOutId;
    }

    public String getGmtStandard() {
        return gmtStandard == null ? "" : gmtStandard.trim();
    }

    public void setGmtStandard(String gmtStandard) {
        this.gmtStandard = gmtStandard;
    }

    public String getGmtSign() {
        return gmtSign == null ? "" : gmtSign.trim();
    }

    public void setGmtSign(String gmtSign) {
        this.gmtSign = gmtSign;
    }

    public String getSignLng() {
        return signLng == null ? "" : signLng.trim();
    }

    public void setSignLng(String signLng) {
        this.signLng = signLng;
    }

    public String getSignLat() {
        return signLat == null ? "" : signLat.trim();
    }

    public void setSignLat(String signLat) {
        this.signLat = signLat;
    }

    public String getSignAddress() {
        return signAddress == null ? "" : signAddress.trim();
    }

    public void setSignAddress(String signAddress) {
        this.signAddress = signAddress;
    }

    public Integer getIsEarly() {
        return isEarly == null ? 0 : isEarly;
    }

    public void setIsEarly(Integer isEarly) {
        this.isEarly = isEarly;
    }

    public String getEarlyMillisecond() {
        return earlyMillisecond == null ? "" : earlyMillisecond.trim();
    }

    public void setEarlyMillisecond(String earlyMillisecond) {
        this.earlyMillisecond = earlyMillisecond;
    }

    public String getAmPm() {
        return amPm == null ? "" : amPm.trim();
    }

    public void setAmPm(String amPm) {
        this.amPm = amPm;
    }

    public String getSignCenterLng() {
        return signCenterLng == null ? "" : signCenterLng.trim();
    }

    public void setSignCenterLng(String signCenterLng) {
        this.signCenterLng = signCenterLng;
    }

    public String getSignCenterLat() {
        return signCenterLat == null ? "" : signCenterLat.trim();
    }

    public void setSignCenterLat(String signCenterLat) {
        this.signCenterLat = signCenterLat;
    }

    public Integer getIsOutside() {
        return isOutside == null ? 0 : isOutside;
    }

    public void setIsOutside(Integer isOutside) {
        this.isOutside = isOutside;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }


}
