package ink.wgink.service.core.dao.manage;

import ink.wgink.pojo.dtos.user.UserDTO;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: ICoreManageDao
 * @Description: 核心管理
 * @Author: wanggeng
 * @Date: 2022/8/11 14:51
 * @Version: 1.0
 */
@Repository
public interface ICoreManageDao {

    /**
     * 用户列表
     *
     * @param params
     * @return
     */
    List<UserDTO> listUser(Map<String, Object> params);

}
